# Uses of Interface
org.eclipse.ui.views.properties.tabbed.ISection

Packages that use ISection
Package
Description
org.eclipse.ui.views.properties.tabbed
Provides the Tabbed Properties framework.

## Uses of ISection in org.eclipse.ui.views.properties.tabbed

Classes in org.eclipse.ui.views.properties.tabbed that implement ISection
Modifier and Type
Class
Description
`class`
`AbstractOverridableTabListPropertySection`
An abstract implementation of a section in a tab that overrides the tabs that are provided by the tabbed property registry with a new list of tabs.
`class`
`AbstractPropertySection`
An abstract implementation of a section in a tab in the tabbed property sheet page.
`class`
`AdvancedPropertySection`
An advanced section that is intended to show the original table format properties view provided by base Eclipse.
Methods in org.eclipse.ui.views.properties.tabbed that return ISection
Modifier and Type
Method
Description
`ISection`
TabContents.`getSectionAtIndex(int i)`
Retrieve the section at a numbered index.
`ISection`
ISectionDescriptor.`getSectionClass()`
Get the class that implements this section.
`ISection[]`
TabContents.`getSections()`
Retrieve the sections on the tab.
Methods in org.eclipse.ui.views.properties.tabbed with parameters of type ISection
Modifier and Type
Method
Description
`int`
TabContents.`getSectionIndex(ISection section)`
Retrieve a numbered index for the section.
`void`
TabContents.`setSections(ISection[] sections)`
Set the sections for the tab.